Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.cellml
Class CellMLModelReader

    java.lang.Object
      biouml.plugins.cellml.CellMLSupport
          biouml.plugins.cellml.CellMLModelReader

All Implemented Interfaces:
  CellMLConstants

public class CellMLModelReader
extends CellMLSupport

Pendung:
  whwther we should layout the diagram here

Field Summary
`protected java.util.HashMap` | `componentMap`
`protected java.util.HashMap` | `connectionMap`
`protected LinearFormatter` | `linearFormatter`
`protected MathMLParser` | `mathMLParser`
`protected int` | `maxVisibleVariableNumber`
`protected boolean` | `shouldLayout`
`protected int` | `visibleVariableNumber`

Fields inherited from class biouml.plugins.cellml.CellMLSupport
`diagram, file, log, modelName, module, resources`

Fields inherited from interface biouml.plugins.cellml.CellMLConstants
`BIOUML_COMPARTMENT_INFO_ELEMENT, BIOUML_EDGE_INFO_ELEMENT, BIOUML_NODE_INFO_ELEMENT, BIOUML_SPECIES_INFO_ELEMENT, BIOUML_SPECIES_TYPE_ATTR, BIOUML_XMLNS_ATTR, BIOUML_XMLNS_VALUE, COMPONENT_1_ATTR, COMPONENT_2_ATTR, COMPONENT_ELEMENT, CONNECTION_ELEMENT, DIRECTION_ATTR, ENVIRONMENT, INITIAL_VALUE_ATTR, MAP_COMPONENTS_ELEMENT, MATH_ELEMENT, MODEL_ELEMENT, NAME_ATTR, PUBLIC_INTERFACE_ATTR, PUBLIC_INTERFACE_NONE, RDF_ELEMENT, REACTION_ELEMENT, REACTION_REVERSIBLE_ATTR, ROLE_ACTIVATOR, ROLE_ATTR, ROLE_CATALYST, ROLE_ELEMENT, ROLE_INHIBITOR, ROLE_MODIFIER, ROLE_PRODUCT, ROLE_RATE, ROLE_REACTANT, STOICHIOMETRY_ATTR, UNITS_ATTR, VARIABLE_ATTR, VARIABLE_ELEMENT, VARIABLE_REF_ELEMENT`

Constructor Summary
`CellMLModelReader(java.io.File inFile)`

Method Summary
`protected void` | `createReaction(biouml.plugins.cellml.CellMLModelReader.ComponentInfo reactionInfo)`
`protected Node` | `createSpecies(biouml.plugins.cellml.CellMLModelReader.ComponentInfo speciesInfo)` Creates node for species.
`protected void` | `initComponentMap(org.w3c.dom.Element model)`
`protected void` | `initConnectionMap(org.w3c.dom.Element model)`
`Diagram` | `read(DataCollection origin, Module module)`
`protected void` | `readComponents(org.w3c.dom.Element model)` Read components.
`protected void` | `readConnections(org.w3c.dom.Element model)` Read connections.
`protected Diagram` | `readDiagram(org.w3c.dom.Element element, DataCollection origin)`
`protected void` | `readGroups(org.w3c.dom.Element model)` Read groups.
`protected void` | `readKineticLaw(biouml.plugins.cellml.CellMLModelReader.ComponentInfo reactionInfo, Node reaction, org.w3c.dom.Element element, java.lang.String varName)`
`protected AstStart` | `readMath(biouml.plugins.cellml.CellMLModelReader.ComponentInfo componentInfo, org.w3c.dom.Element element, java.lang.String equationVar)`
`protected void` | `readReactions(org.w3c.dom.Element model)`
`protected void` | `readRole(Node reactionNode, org.w3c.dom.Element element, java.lang.String speciesName, java.lang.String role)`
`protected void` | `readUnits(org.w3c.dom.Element model)` Read unit definitions.
`protected org.w3c.dom.Element` | `readVariable(Variable var, biouml.plugins.cellml.CellMLModelReader.ComponentInfo componentInfo, java.lang.String variableName, boolean checkInitialValue)` Read variables information.

Methods inherited from class biouml.plugins.cellml.CellMLSupport
`error, getElement, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### shouldLayout

    protected boolean shouldLayout

### visibleVariableNumber

    protected int visibleVariableNumber

### maxVisibleVariableNumber

    protected int maxVisibleVariableNumber

### componentMap

    protected java.util.HashMap componentMap

### connectionMap

    protected java.util.HashMap connectionMap

### mathMLParser

    protected MathMLParser mathMLParser

### linearFormatter

    protected LinearFormatter linearFormatter

Constructor Detail

### CellMLModelReader

    public CellMLModelReader(java.io.File inFile)
                      throws java.lang.Exception

Method Detail

### read

    public Diagram read(DataCollection origin,
                        Module module)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### readDiagram

    protected Diagram readDiagram(org.w3c.dom.Element element,
                                  DataCollection origin)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### readUnits

    protected void readUnits(org.w3c.dom.Element model)

  Read unit definitions.

  Pendung:
    todo

### readComponents

    protected void readComponents(org.w3c.dom.Element model)

  Read components.

  Pendung:
    todo

### initComponentMap

    protected void initComponentMap(org.w3c.dom.Element model)

### readGroups

    protected void readGroups(org.w3c.dom.Element model)

  Read groups. This information is used to form compartments hierarchy and refine component types. The following rule can be used: if relationship is `containment` and

  ### createSpecies

      protected Node createSpecies(biouml.plugins.cellml.CellMLModelReader.ComponentInfo speciesInfo)
                            throws java.lang.Exception

    Creates node for species.

    Throws:
      `java.lang.Exception`

  ### readReactions

      protected void readReactions(org.w3c.dom.Element model)

  ### createReaction

      protected void createReaction(biouml.plugins.cellml.CellMLModelReader.ComponentInfo reactionInfo)
                             throws java.lang.Exception

    Throws:
      `java.lang.Exception`

  ### readRole

      protected void readRole(Node reactionNode,
                              org.w3c.dom.Element element,
                              java.lang.String speciesName,
                              java.lang.String role)
                       throws java.lang.Exception

    Throws:
      `java.lang.Exception`
    Pendung:
      to which modifier action should coreespond CellML ROLE_MODIFIER?, for modifier stoichiometry should be 0. Whether it is correct for CellML modles?, direction is not supported yet.

  ### readKineticLaw

      protected void readKineticLaw(biouml.plugins.cellml.CellMLModelReader.ComponentInfo reactionInfo,
                                    Node reaction,
                                    org.w3c.dom.Element element,
                                    java.lang.String varName)

    Pendung:
      - rate units.

  ### initConnectionMap

      protected void initConnectionMap(org.w3c.dom.Element model)

  ### readConnections

      protected void readConnections(org.w3c.dom.Element model)

    Read connections.

    Pendung:
      todo

  ### readVariable

      protected org.w3c.dom.Element readVariable(Variable var,
                                                 biouml.plugins.cellml.CellMLModelReader.ComponentInfo componentInfo,
                                                 java.lang.String variableName,
                                                 boolean checkInitialValue)

    Read variables information.

    Returns:
      DOM element corresponding to variable declaration.

  ### readMath

      protected AstStart readMath(biouml.plugins.cellml.CellMLModelReader.ComponentInfo componentInfo,
                                  org.w3c.dom.Element element,
                                  java.lang.String equationVar)

  Overview | Package | Class | Use | Tree | Deprecated | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.